Draft Shape2DView/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/fr|Name=Draft_Shape2DView|Name/fr=Draft_Shape2DView|Workbenches=Draft|MenuLocation=Draft -> Shape 2D View}}")
(Created page with "Cet outil place dans le document un objet 2D qui est une vue aplatie d'une forme sélectionnée (qui peut être 3D ou non).")
Line 3: Line 3:
==Description==
==Description==


Cet outil place dans le document un objet 2D qui est une vue aplatie d'une forme sélectionnée (qui peut être 3D ou non).
This tool places in the document a 2D object which is a flattened view of a selected [[Part Module|Shape]]-based object.


[[Image:Draft_Shape2DView_example.jpg]]
[[Image:Draft_Shape2DView_example.jpg]]

Revision as of 15:40, 14 February 2014

Draft_Shape2DView

Emplacement du menu
Draft -> Shape 2D View
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

Cet outil place dans le document un objet 2D qui est une vue aplatie d'une forme sélectionnée (qui peut être 3D ou non).

How to use

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
  • The normal operating mode is Solid, which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the Individual Faces mode, which will project only the faces that were selected.
  • If the selected object is an Arch SectionPlane, a cutlines projection mode is also available, which projects only the edges being cut by the section plane.

Properties

  • DonnéesProjection: The direction of the projection.
  • DonnéesProjection Mode: The mode of the projection: solid, individual faces, or cutlines.

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

 makeShape2DView (object,[projection],[facenumbers])
  • Adds a 2D shape to the document, which is a 2D projection of the given object.
  • A specific projection vector can also be given.
  • Returns the generated object.
  • You can also provide a list of face numbers to be considered.

Example:

 import FreeCAD,Draft
 Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)